VST 3 Interfaces: RepresentationInfo Struct Reference
Author: Steinberg

VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Member Functions | Public Attributes | List of all members
RepresentationInfo Struct Reference

    RepresentationInfo is the structure describing a representation

This structure is used in the function More...

`#include <ivstrepresentation.h>`

## Public Types
enum | { kNameSize = 64 }

## Public Member Functions
| RepresentationInfo ()
| RepresentationInfo (char8 *_vendor, char8 *_name=nullptr, char8 *_version=nullptr, char8 *_host=nullptr)

## Public Attributes
char8 | vendor [kNameSize]
| Vendor name of the associated representation (remote) (eg. "Yamaha").
char8 | name [kNameSize]
| Representation (remote) Name (eg. "O2").
char8 | version [kNameSize]
| Version of this "Remote" (eg. "1.0").
char8 | host [kNameSize]
| Optional: used if the representation is for a given host only (eg. "Nuendo").

## Detailed Description

    RepresentationInfo is the structure describing a representation

This structure is used in the function

See Also
  IXmlRepresentationController::getXmlRepresentationStream.
  IXmlRepresentationController

## Member Enumeration Documentation

anonymous enum

Enumerator
kNameSize |

## Constructor & Destructor Documentation

RepresentationInfo | ( |  | ) |
| inline

RepresentationInfo | ( | char8 * | _vendor,
|  | char8 * | _name = `nullptr`,
|  | char8 * | _version = `nullptr`,
|  | char8 * | _host = `nullptr`
| ) |  |
| inline

## Member Data Documentation

char8 vendor[kNameSize]

Vendor name of the associated representation (remote) (eg. "Yamaha").

char8 name[kNameSize]

Representation (remote) Name (eg. "O2").

char8 version[kNameSize]

Version of this "Remote" (eg. "1.0").

char8 host[kNameSize]

Optional: used if the representation is for a given host only (eg. "Nuendo").

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.